# Submit Multi-leg Order

`POST` `/v1/trade/order/multileg`

This API is used to submit a multi-leg option combination order (such as vertical spreads, straddles, strangles, collars, etc.). All legs are submitted together as a single strategy order.

## Parameters

### Request Body

| Name | Type | Required | Description |
| --- | --- | --- | --- |
| `side` | string | Yes | Order Side. **Enum Value:**, `Buy`, `Sell` |
| `order_type` | string | Yes | Order Type. One of: `LO`, `ELO`, `MO`, `AO`, `ALO`, `ODD`, `LIT`, `MIT`, `TSLPAMT`, `TSLPPCT`, `SLO`. |
| `submitted_price` | string | No | Submitted price, example: `1.5`. Required for limit order types such as `LO` |
| `submitted_quantity` | string | Yes | Submitted quantity (number of combinations), example: `1` |
| `strategy` | string | Yes | Multi-leg strategy. **Enum Value:**, `CoveredCall` - Covered stock, `CoveredPut` - Covered stock, `VerticalCallSpread` - Vertical spread, `VerticalPutSpread` - Vertical spread, `Collar` - Collar, `Straddle` - Straddle, `Strangle` - Strangle |
| `legs` | array | Yes | Legs of the combination order |
| `∟ symbol` | string | Yes | Option symbol, use `ticker.region` format, example: `QQQ260731C764000.US` |
| `∟ ratio_quantity` | string | Yes | Leg ratio quantity, example: `1` |
| `remark` | string | No | Remark (Maximum 255 characters) |
| `client_request_id` | string | No | Client request ID, used for idempotency (Maximum 64 characters) |

## Request Example

```bash
curl --request POST \
  --url 'https://openapi.longbridge.com/v1/trade/order/multileg' \
  --header 'Authorization: Bearer <access_token>' \
  --header 'Content-Type: application/json' \
  --data '{"side":"<side>","order_type":"<order_type>","submitted_price":"<submitted_price>","submitted_quantity":"<submitted_quantity>","strategy":"<strategy>","legs":[],"∟ symbol":"<∟ symbol>","∟ ratio_quantity":"<∟ ratio_quantity>","remark":"<remark>","client_request_id":"<client_request_id>"}'
```

## Response

### Response JSON Example

```json
{
  "code": 0,
  "message": "success",
  "data": {
    "order_id": "683615454870679600"
  }
}
```
